zenilib: zenilib/jni/external/sdl/src/events/SDL_windowevents.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
SDL_windowevents.c File Reference
`#include "SDL_config.h"`
`#include "SDL_events.h"`
`#include "SDL_events_c.h"`
`#include "SDL_mouse_c.h"`
`#include "../video/SDL_sysvideo.h"`

Go to the source code of this file.

## Functions

static int | RemovePendingMoveEvents (void *userdata, SDL_Event *event)
static int | RemovePendingResizedEvents (void *userdata, SDL_Event *event)
static int | RemovePendingSizeChangedEvents (void *userdata, SDL_Event *event)
int | SDL_SendWindowEvent (SDL_Window *window, Uint8 windowevent, int data1, int data2)

## Function Documentation

static int RemovePendingMoveEvents | ( | void * | userdata,
|  | SDL_Event * | event
| ) |  |

static

Definition at line 60 of file SDL_windowevents.c.

References SDL_WindowEvent::event, SDL_WINDOWEVENT, SDL_WINDOWEVENT_MOVED, SDL_Event::type, SDL_Event::window, and SDL_WindowEvent::windowID.

Referenced by SDL_SendWindowEvent().

static int RemovePendingResizedEvents | ( | void * | userdata,
|  | SDL_Event * | event
| ) |  |

static

Definition at line 32 of file SDL_windowevents.c.

References SDL_WindowEvent::event, SDL_WINDOWEVENT, SDL_WINDOWEVENT_RESIZED, SDL_Event::type, SDL_Event::window, and SDL_WindowEvent::windowID.

Referenced by SDL_SendWindowEvent().

static int RemovePendingSizeChangedEvents | ( | void * | userdata,
|  | SDL_Event * | event
| ) |  |

static

Definition at line 46 of file SDL_windowevents.c.

References SDL_WindowEvent::event, SDL_WINDOWEVENT, SDL_WINDOWEVENT_SIZE_CHANGED, SDL_Event::type, SDL_Event::window, and SDL_WindowEvent::windowID.

Referenced by SDL_SendWindowEvent().

int SDL_SendWindowEvent | ( | SDL_Window * | window,
|  | Uint8 | windowevent,
|  | int | data1,
|  | int | data2
| ) |  |

Definition at line 74 of file SDL_windowevents.c.

References SDL_Window::flags, SDL_Rect::h, SDL_Window::h, SDL_Window::id, SDL_Window::next, SDL_Window::prev, RemovePendingMoveEvents(), RemovePendingResizedEvents(), RemovePendingSizeChangedEvents(), SDL_ENABLE, SDL_FilterEvents(), SDL_GetEventState, SDL_OnWindowEnter(), SDL_OnWindowFocusGained(), SDL_OnWindowFocusLost(), SDL_OnWindowHidden(), SDL_OnWindowLeave(), SDL_OnWindowMinimized(), SDL_OnWindowResized(), SDL_OnWindowRestored(), SDL_OnWindowShown(), SDL_PushEvent(), SDL_SendQuit(), SDL_WINDOW_FULLSCREEN, SDL_WINDOW_HIDDEN, SDL_WINDOW_INPUT_FOCUS, SDL_WINDOW_MAXIMIZED, SDL_WINDOW_MINIMIZED, SDL_WINDOW_MOUSE_FOCUS, SDL_WINDOW_SHOWN, SDL_WINDOWEVENT, SDL_WINDOWEVENT_CLOSE, SDL_WINDOWEVENT_ENTER, SDL_WINDOWEVENT_FOCUS_GAINED, SDL_WINDOWEVENT_FOCUS_LOST, SDL_WINDOWEVENT_HIDDEN, SDL_WINDOWEVENT_LEAVE, SDL_WINDOWEVENT_MAXIMIZED, SDL_WINDOWEVENT_MINIMIZED, SDL_WINDOWEVENT_MOVED, SDL_WINDOWEVENT_RESIZED, SDL_WINDOWEVENT_RESTORED, SDL_WINDOWEVENT_SHOWN, SDL_WINDOWEVENT_SIZE_CHANGED, SDL_WINDOWPOS_ISUNDEFINED, SDL_Rect::w, SDL_Window::w, SDL_Window::windowed, SDL_Rect::x, SDL_Window::x, SDL_Rect::y, and SDL_Window::y.

Referenced by SDL_HideWindow(), SDL_OnWindowResized(), SDL_SetKeyboardFocus(), SDL_SetMouseFocus(), SDL_SetWindowPosition(), SDL_ShowWindow(), and SDL_UpdateFullscreenMode().